Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class CellMLModelWriter

    java.lang.Object
      biouml.plugins.cellml.CellMLSupport
          biouml.plugins.cellml.CellMLModelWriter

All Implemented Interfaces:
  CellMLConstants

public class CellMLModelWriter
extends CellMLSupport

Writes diagram in SBML format. SbmlModelWriter can correctly process following types of diagram:

- SbmlDiagramType
- PathwaySimulationDiagramType. This standard BioUML diagram type is most closely corresponds to SBML diagram type
- PathwayDiagramType

Reactant and product are obligatory elements of SBML reaction, but it BioUML allows user to create reaction without reactants or products. So to respect SBML requirements REACTANT_STUB or PRODUCT_STUB can be added into reaction and model.

SbmlModelReader can recognise such stubs and remove them from model automatically. Thus "_in_empty_set" (REACTANT_STUB) and "_out_empty_set" are reserved key words that should not be used as specie names.

Pendung:
  SName validation, warn if specie list or reaction list is empty.

Field Summary
`protected java.util.List` | `compartmentList`
`protected org.w3c.dom.Document` | `document`

Fields inherited from class biouml.plugins.cellml.CellMLSupport
`diagram, file, log, modelName, module, resources`

Fields inherited from interface biouml.plugins.cellml.CellMLConstants
`BIOUML_COMPARTMENT_INFO_ELEMENT, BIOUML_EDGE_INFO_ELEMENT, BIOUML_NODE_INFO_ELEMENT, BIOUML_SPECIES_INFO_ELEMENT, BIOUML_SPECIES_TYPE_ATTR, BIOUML_XMLNS_ATTR, BIOUML_XMLNS_VALUE, COMPONENT_1_ATTR, COMPONENT_2_ATTR, COMPONENT_ELEMENT, CONNECTION_ELEMENT, DIRECTION_ATTR, ENVIRONMENT, INITIAL_VALUE_ATTR, MAP_COMPONENTS_ELEMENT, MATH_ELEMENT, MODEL_ELEMENT, NAME_ATTR, PUBLIC_INTERFACE_ATTR, PUBLIC_INTERFACE_NONE, RDF_ELEMENT, REACTION_ELEMENT, REACTION_REVERSIBLE_ATTR, ROLE_ACTIVATOR, ROLE_ATTR, ROLE_CATALYST, ROLE_ELEMENT, ROLE_INHIBITOR, ROLE_MODIFIER, ROLE_PRODUCT, ROLE_RATE, ROLE_REACTANT, STOICHIOMETRY_ATTR, UNITS_ATTR, VARIABLE_ATTR, VARIABLE_ELEMENT, VARIABLE_REF_ELEMENT`

Constructor Summary
`CellMLModelWriter(java.io.File outFile)`

Method Summary
`void` | `write(Diagram sourceDiagram)`
`void` | `write(Diagram sourceDiagram, javax.xml.transform.Transformer transformer)`
`protected void` | `writeDiagram(org.w3c.dom.Element sbml)`

Methods inherited from class biouml.plugins.cellml.CellMLSupport
`error, getElement, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### document

    protected org.w3c.dom.Document document

### compartmentList

    protected java.util.List compartmentList

Constructor Detail

### CellMLModelWriter

    public CellMLModelWriter(java.io.File outFile)
                      throws java.lang.Exception

Method Detail

### write

    public void write(Diagram sourceDiagram)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### write

    public void write(Diagram sourceDiagram,
                      javax.xml.transform.Transformer transformer)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### writeDiagram

    protected void writeDiagram(org.w3c.dom.Element sbml)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.